Package tigase.io

# Class SampleSocketThread

java.lang.Object
java.lang.Thread
tigase.io.SampleSocketThread

All Implemented Interfaces:
  `Runnable`

public class SampleSocketThread extends Thread
Describe class SampleSocketThread here.
Created: Sun Aug 6 22:34:40 2006

Author:
  Artur Hefczyc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SampleSocketThread.SocketHandler`

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleSocketThread(SampleSocketThread.SocketHandler handler)`
  Creates a new `SampleSocketThread` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addForAccept(InetSocketAddress isa)`
  `void`
  `addIOInterface(IOInterface s)`
  `void`
  `removeIOInterface(IOInterface s)`
  `void`
  `run()`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SampleSocketThread

    public SampleSocketThread(SampleSocketThread.SocketHandler handler) throws IOException
    Creates a new `SampleSocketThread` instance.
    Throws:
      `IOException`

- ## Method Details

  - ### addIOInterface

    public void addIOInterface(IOInterface s)

  - ### addForAccept

    public void addForAccept(InetSocketAddress isa)

  - ### removeIOInterface

    public void removeIOInterface(IOInterface s)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`